Package org.eclipse.birt.report.model.api

# Interface IModuleOption

All Known Implementing Classes:
  `ModuleOption`

public interface IModuleOption
Implements to define the keys to do some setting in a module.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BLANK_CREATION_KEY`
Key to indicate that the created design file is the simplest and blank, which contains nothing.
`static final String`
`CREATED_BY_KEY`
Key to indicate the created-by information of the module.
`static final String`
`LOCALE_KEY`
Key to indicate the locale of the module.
`static final String`
`MARK_LINE_NUMBER_KEY`
Key to control whether to mark line number of the element in xml source.
`static final String`
`PARSER_SEMANTIC_CHECK_KEY`
Key to control whether to call semantic-check when opening a module.
`static final String`
`READ_ONLY_MODULE_PROPERTIES`
Key to indicate that the design file will be simply parsed to read only that simple property for the root element(report design or library) rather than the whole design tree.
`static final String`
`RESOURCE_FOLDER_KEY`
Key to set the resource folder of the module.
`static final String`
`RESOURCE_LOCATOR_KEY`
Key to indicate the resource locator of the module.
`static final String`
`SUPPORTED_UNKNOWN_VERSION_KEY`
whether support unknown version if so, 1, allow run unknown version design/document.
`static final String`
`TO_LATEST_VERSION`
Key to indicate that the design should be update to the latest report version when creates.

## Field Details

### PARSER_SEMANTIC_CHECK_KEY

static final String PARSER_SEMANTIC_CHECK_KEY
Key to control whether to call semantic-check when opening a module. True if user wants to do some semantic checks about the module when opening it; otherwise false.

See Also:
  - Constant Field Values

### RESOURCE_FOLDER_KEY

static final String RESOURCE_FOLDER_KEY
Key to set the resource folder of the module.

See Also:
  - Constant Field Values

### RESOURCE_LOCATOR_KEY

static final String RESOURCE_LOCATOR_KEY
Key to indicate the resource locator of the module.

See Also:
  - Constant Field Values

### MARK_LINE_NUMBER_KEY

static final String MARK_LINE_NUMBER_KEY
Key to control whether to mark line number of the element in xml source. True if user wants to mark them during parsing and saving, false otherwise. Default value is true.

See Also:
  - Constant Field Values

### SUPPORTED_UNKNOWN_VERSION_KEY

static final String SUPPORTED_UNKNOWN_VERSION_KEY
whether support unknown version if so, 1, allow run unknown version design/document. 2, ignore all the errors related with unknown tag/unknown property and log out a warning. 3, if a design contains warnings for unknown version, ignore the waring and continue run/render. default value is "false"

See Also:
  - Constant Field Values

### LOCALE_KEY

static final String LOCALE_KEY
Key to indicate the locale of the module.

See Also:
  - Constant Field Values

### CREATED_BY_KEY

static final String CREATED_BY_KEY
Key to indicate the created-by information of the module.

See Also:
  - Constant Field Values

### BLANK_CREATION_KEY

static final String BLANK_CREATION_KEY
Key to indicate that the created design file is the simplest and blank, which contains nothing.

See Also:
  - Constant Field Values

### READ_ONLY_MODULE_PROPERTIES

static final String READ_ONLY_MODULE_PROPERTIES
Key to indicate that the design file will be simply parsed to read only that simple property for the root element(report design or library) rather than the whole design tree. The result report/library will be read-only and can not do any changes.

See Also:
  - Constant Field Values

### TO_LATEST_VERSION

static final String TO_LATEST_VERSION
Key to indicate that the design should be update to the latest report version when creates.

See Also:
  - Constant Field Values